<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.member.card.mapper.MemberCardGradeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.member.model.MemberCardGrade" >
    <id column="MEMBER_CARD_GRADE_ID" property="memberCardGradeId" jdbcType="BIGINT" />
    <result column="MEMBER_CARD_TYPE_ID" property="memberCardTypeId" jdbcType="BIGINT" />
    <result column="GRADE_ID" property="gradeId" jdbcType="BIGINT" />
    <result column="MEMBER_CARD_STYLE_ID" property="memberCardStyleId" jdbcType="BIGINT" />
    <result column="MEMBER_CARD_GRADE_CODE" property="memberCardGradeCode" jdbcType="VARCHAR" />
    <result column="MEMBER_CARD_GRADE_NAME" property="memberCardGradeName" jdbcType="VARCHAR" />
    <result column="BACKGROUND_COLOR" property="backgroundColor" jdbcType="VARCHAR" />
    <result column="IMG_URL" property="imgUrl" jdbcType="VARCHAR" />
    <result column="MEMBER_CARD_DESC" property="memberCardDesc" jdbcType="VARCHAR" />
    <result column="REMARK" property="remark" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    MEMBER_CARD_GRADE_ID, MEMBER_CARD_TYPE_ID, GRADE_ID, MEMBER_CARD_STYLE_ID, MEMBER_CARD_GRADE_CODE, 
    MEMBER_CARD_GRADE_NAME, BACKGROUND_COLOR, IMG_URL, MEMBER_CARD_DESC, REMARK
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from member_card_grade
    where MEMBER_CARD_GRADE_ID = #{memberCardGradeId,jdbcType=BIGINT}
  </select>
  
  <select id="selectAll" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from member_card_grade
  </select>
  
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from member_card_grade
    where MEMBER_CARD_GRADE_ID = #{memberCardGradeId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.member.model.MemberCardGrade" >
    insert into member_card_grade (MEMBER_CARD_GRADE_ID, MEMBER_CARD_TYPE_ID, 
      GRADE_ID, MEMBER_CARD_STYLE_ID, MEMBER_CARD_GRADE_CODE, 
      MEMBER_CARD_GRADE_NAME, BACKGROUND_COLOR, IMG_URL, 
      MEMBER_CARD_DESC, REMARK)
    values (#{memberCardGradeId,jdbcType=BIGINT}, #{memberCardTypeId,jdbcType=BIGINT}, 
      #{gradeId,jdbcType=BIGINT}, #{memberCardStyleId,jdbcType=BIGINT}, #{memberCardGradeCode,jdbcType=VARCHAR}, 
      #{memberCardGradeName,jdbcType=VARCHAR}, #{backgroundColor,jdbcType=VARCHAR}, #{imgUrl,jdbcType=VARCHAR}, 
      #{memberCardDesc,jdbcType=VARCHAR}, #{remark,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.member.model.MemberCardGrade" >
    insert into member_card_grade
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="memberCardGradeId != null" >
        MEMBER_CARD_GRADE_ID,
      </if>
      <if test="memberCardTypeId != null" >
        MEMBER_CARD_TYPE_ID,
      </if>
      <if test="gradeId != null" >
        GRADE_ID,
      </if>
      <if test="memberCardStyleId != null" >
        MEMBER_CARD_STYLE_ID,
      </if>
      <if test="memberCardGradeCode != null" >
        MEMBER_CARD_GRADE_CODE,
      </if>
      <if test="memberCardGradeName != null" >
        MEMBER_CARD_GRADE_NAME,
      </if>
      <if test="backgroundColor != null" >
        BACKGROUND_COLOR,
      </if>
      <if test="imgUrl != null" >
        IMG_URL,
      </if>
      <if test="memberCardDesc != null" >
        MEMBER_CARD_DESC,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="memberCardGradeId != null" >
        #{memberCardGradeId,jdbcType=BIGINT},
      </if>
      <if test="memberCardTypeId != null" >
        #{memberCardTypeId,jdbcType=BIGINT},
      </if>
      <if test="gradeId != null" >
        #{gradeId,jdbcType=BIGINT},
      </if>
      <if test="memberCardStyleId != null" >
        #{memberCardStyleId,jdbcType=BIGINT},
      </if>
      <if test="memberCardGradeCode != null" >
        #{memberCardGradeCode,jdbcType=VARCHAR},
      </if>
      <if test="memberCardGradeName != null" >
        #{memberCardGradeName,jdbcType=VARCHAR},
      </if>
      <if test="backgroundColor != null" >
        #{backgroundColor,jdbcType=VARCHAR},
      </if>
      <if test="imgUrl != null" >
        #{imgUrl,jdbcType=VARCHAR},
      </if>
      <if test="memberCardDesc != null" >
        #{memberCardDesc,jdbcType=VARCHAR},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.member.model.MemberCardGrade" >
    update member_card_grade
    <set >
      <if test="memberCardTypeId != null" >
        MEMBER_CARD_TYPE_ID = #{memberCardTypeId,jdbcType=BIGINT},
      </if>
      <if test="gradeId != null" >
        GRADE_ID = #{gradeId,jdbcType=BIGINT},
      </if>
      <if test="memberCardStyleId != null" >
        MEMBER_CARD_STYLE_ID = #{memberCardStyleId,jdbcType=BIGINT},
      </if>
      <if test="memberCardGradeCode != null" >
        MEMBER_CARD_GRADE_CODE = #{memberCardGradeCode,jdbcType=VARCHAR},
      </if>
      <if test="memberCardGradeName != null" >
        MEMBER_CARD_GRADE_NAME = #{memberCardGradeName,jdbcType=VARCHAR},
      </if>
      <if test="backgroundColor != null" >
        BACKGROUND_COLOR = #{backgroundColor,jdbcType=VARCHAR},
      </if>
      <if test="imgUrl != null" >
        IMG_URL = #{imgUrl,jdbcType=VARCHAR},
      </if>
      <if test="memberCardDesc != null" >
        MEMBER_CARD_DESC = #{memberCardDesc,jdbcType=VARCHAR},
      </if>
      <if test="remark != null" >
        REMARK = #{remark,jdbcType=VARCHAR},
      </if>
    </set>
    where MEMBER_CARD_GRADE_ID = #{memberCardGradeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.member.model.MemberCardGrade" >
    update member_card_grade
    set MEMBER_CARD_TYPE_ID = #{memberCardTypeId,jdbcType=BIGINT},
      GRADE_ID = #{gradeId,jdbcType=BIGINT},
      MEMBER_CARD_STYLE_ID = #{memberCardStyleId,jdbcType=BIGINT},
      MEMBER_CARD_GRADE_CODE = #{memberCardGradeCode,jdbcType=VARCHAR},
      MEMBER_CARD_GRADE_NAME = #{memberCardGradeName,jdbcType=VARCHAR},
      BACKGROUND_COLOR = #{backgroundColor,jdbcType=VARCHAR},
      IMG_URL = #{imgUrl,jdbcType=VARCHAR},
      MEMBER_CARD_DESC = #{memberCardDesc,jdbcType=VARCHAR},
      REMARK = #{remark,jdbcType=VARCHAR}
    where MEMBER_CARD_GRADE_ID = #{memberCardGradeId,jdbcType=BIGINT}
  </update>
  
  <update id="updateSrcByPk" parameterType="com.bw.adv.module.member.model.MemberCardGrade" >
    update member_card_grade
    set MEMBER_CARD_STYLE_ID = #{memberCardStyleId,jdbcType=BIGINT},
      IMG_URL = #{imgUrl,jdbcType=VARCHAR}
    where MEMBER_CARD_GRADE_ID = #{memberCardGradeId,jdbcType=BIGINT}
  </update>
</mapper>